Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Target

    java.lang.Object
      |
      +--netscape.security.Target

Direct Known Subclasses:
  UserTarget

public class Target
extends java.lang.Object

Dummy class.

Constructor Summary
`Target()`
`Target(java.lang.String s)`
`Target(java.lang.String s, Principal p)`
`Target(java.lang.String s1, Principal p, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5)`
`Target(java.lang.String s1, Principal p, java.lang.String s2, java.lang.String s3, java.lang.String s4, java.lang.String s5, Target[] ta)`
`Target(java.lang.String s, Principal p, Target[] ta)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] pa)`
`Privilege` | `checkPrivilegeEnabled(Principal[] pa, java.lang.Object o)`
`Privilege` | `checkPrivilegeEnabled(Principal p, java.lang.Object o)`
`Privilege` | `enablePrivilege(Principal p, java.lang.Object o)`
`static Target` | `findTarget(java.lang.String s)`
`static Target` | `findTarget(java.lang.String s, Principal p)`
`static Target` | `findTarget(Target t)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDetailedInfo(java.lang.Object o)`
`java.lang.String` | `getHelpUrl()`
`java.lang.String` | `getRisk()`
`java.lang.String` | `getRiskColor()`
`static Target` | `getTargetFromDescription(java.lang.String s)`
`Target` | `registerTarget()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Target

    public Target()

### Target

    public Target(java.lang.String s,
                  Principal p)

### Target

    public Target(java.lang.String s)

### Target

    public Target(java.lang.String s,
                  Principal p,
                  Target[] ta)

### Target

    public Target(java.lang.String s1,
                  Principal p,
                  java.lang.String s2,
                  java.lang.String s3,
                  java.lang.String s4,
                  java.lang.String s5)

### Target

    public Target(java.lang.String s1,
                  Principal p,
                  java.lang.String s2,
                  java.lang.String s3,
                  java.lang.String s4,
                  java.lang.String s5,
                  Target[] ta)

Method Detail

### registerTarget

    public Target registerTarget()

### findTarget

    public static Target findTarget(java.lang.String s)

### findTarget

    public static Target findTarget(java.lang.String s,
                                    Principal p)

### findTarget

    public static Target findTarget(Target t)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] pa,
                                           java.lang.Object o)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] pa)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal p,
                                           java.lang.Object o)

### enablePrivilege

    public Privilege enablePrivilege(Principal p,
                                     java.lang.Object o)

### getRisk

    public java.lang.String getRisk()

### getRiskColor

    public java.lang.String getRiskColor()

### getDescription

    public java.lang.String getDescription()

### getTargetFromDescription

    public static Target getTargetFromDescription(java.lang.String s)

### getHelpUrl

    public java.lang.String getHelpUrl()

### getDetailedInfo

    public java.lang.String getDetailedInfo(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.